Index: /trunk/anuga_core/source/anuga/pmesh/Pmw.py
===================================================================
--- /trunk/anuga_core/source/anuga/pmesh/Pmw.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/pmesh/Pmw.py	(revision 8124)
@@ -43,9 +43,9 @@
 def setversion(version):
     if version != _VERSION:
-        raise ValueError, 'Dynamic versioning not available'
+        raise ValueError('Dynamic versioning not available')
 
 def setalphaversions(*alpha_versions):
     if alpha_versions != ():
-	raise ValueError, 'Dynamic versioning not available'
+	raise ValueError('Dynamic versioning not available')
 
 def version(alpha = 0):
@@ -258,5 +258,5 @@
 	# It's not a valid type
 	else:
-	    raise TypeError, 'toPart must be attribute name, function or method'
+	    raise TypeError('toPart must be attribute name, function or method')
 
     # get the full set of candidate methods
@@ -524,9 +524,9 @@
 
 	if self.__componentInfo.has_key(componentName):
-	    raise ValueError, 'Component "%s" already exists' % componentName
+	    raise ValueError('Component "%s" already exists' % componentName)
 
 	if '_' in componentName:
-	    raise ValueError, \
-                    'Component name "%s" must not contain "_"' % componentName
+	    raise ValueError('Component name "%s" must not contain "_"'
+                             % componentName)
 
 	if hasattr(self, '_constructorKeywords'):
@@ -654,6 +654,6 @@
 		else:
 		    text = 'Unknown options "'
-		raise KeyError, text + string.join(unusedOptions, ', ') + \
-			'" for ' + self.__class__.__name__
+		raise KeyError(text + string.join(unusedOptions, ', ')
+                               + '" for ' + self.__class__.__name__)
 
 	    # Call the configuration callback function for every option.
@@ -733,7 +733,7 @@
 		# Make sure it is not an initialisation option.
 		if optionInfo[option][FUNCTION] is INITOPT:
-		    raise KeyError, \
-			    'Cannot configure initialisation option "' \
-			    + option + '" for ' + self.__class__.__name__
+		    raise KeyError('Cannot configure initialisation option "'
+                                   + option + '" for '
+                                   + self.__class__.__name__)
 		optionInfo[option][VALUE] = value
 		directOptions.append(option)
@@ -768,6 +768,6 @@
                         if len(componentConfigFuncs) == 0 and \
                                 component not in self._dynamicGroups:
-			    raise KeyError, 'Unknown option "' + option + \
-				    '" for ' + self.__class__.__name__
+			    raise KeyError('Unknown option "' + option + '" for '
+                                           + self.__class__.__name__)
 
 		    # Add the configure method(s) (may be more than
@@ -780,6 +780,6 @@
 				= value
 		else:
-		    raise KeyError, 'Unknown option "' + option + \
-			    '" for ' + self.__class__.__name__
+		    raise KeyError('Unknown option "' + option + '" for '
+                                   + self.__class__.__name__)
 
 	# Call the configure methods for any components.
@@ -874,6 +874,6 @@
 			    return componentCget(componentOption)
 
-	raise KeyError, 'Unknown option "' + option + \
-		'" for ' + self.__class__.__name__
+	raise KeyError('Unknown option "' + option + '" for '
+                       + self.__class__.__name__)
 
     __getitem__ = cget
@@ -1167,5 +1167,5 @@
     def activate(self, globalMode = 0, geometry = 'centerscreenfirst'):
 	if self._active:
-	    raise ValueError, 'Window is already active'
+	    raise ValueError('Window is already active')
 	if self.state() == 'normal':
 	    self.withdraw()
@@ -1408,5 +1408,5 @@
             _toplevelBusyInfo[window]['busyCursorName'] = value
         else:
-            raise KeyError, 'Unknown busycursor attribute "' + name + '"'
+            raise KeyError('Unknown busycursor attribute "' + name + '"')
 
 def _addRootToToplevelBusyInfo():
@@ -1423,7 +1423,6 @@
 def busycallback(command, updateFunction = None):
     if not callable(command):
-	raise ValueError, \
-	    'cannot register non-command busy callback %s %s' % \
-	        (repr(command), type(command))
+	raise ValueError('cannot register non-command busy callback %s %s'
+                         % (repr(command), type(command)))
     wrapper = _BusyWrapper(command, updateFunction)
     return wrapper.callback
@@ -1593,5 +1592,5 @@
                 _traceTkFile.write('CALL  TK> stack:\n')
                 traceback.print_stack()
-            raise Tkinter.TclError, errorString
+            raise Tkinter.TclError(errorString)
 
         _recursionCounter = _recursionCounter - 1
@@ -1812,5 +1811,5 @@
 	    return apply(self.func, args)
 	except SystemExit, msg:
-	    raise SystemExit, msg
+	    raise SystemExit(msg)
 	except:
 	    _reporterror(self.func, args)
@@ -2044,7 +2043,6 @@
         pos = self['buttonboxpos']
 	if pos not in 'nsew':
-	    raise ValueError, \
-	        'bad buttonboxpos option "%s":  should be n, s, e, or w' \
-		    % pos
+	    raise ValueError('bad buttonboxpos option "%s":  should be n, s, e, or w'
+                             % pos)
 
 	if pos in 'ns':
@@ -2141,6 +2139,6 @@
 	buttons = self['buttons']
 	if type(buttons) != types.TupleType and type(buttons) != types.ListType:
-	    raise ValueError, \
-	        'bad buttons option "%s": should be a tuple' % str(buttons)
+	    raise ValueError('bad buttons option "%s": should be a tuple'
+                             % str(buttons))
 	if self.oldButtons == buttons:
 	  return
@@ -2195,5 +2193,5 @@
   inputList = string.split(string.strip(text), separator)
   if len(inputList) != 3:
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
 
   sign = 1
@@ -2204,5 +2202,5 @@
 
   if re.search('[^0-9]', string.join(inputList, '')) is not None:
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
 
   hour = string.atoi(inputList[0])
@@ -2211,5 +2209,5 @@
 
   if minute >= 60 or second >= 60:
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
   return sign * (hour * 60 * 60 + minute * 60 + second)
 
@@ -2229,8 +2227,8 @@
   inputList = string.split(string.strip(text), separator)
   if len(inputList) != 3:
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
 
   if re.search('[^0-9]', string.join(inputList, '')) is not None:
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
   formatList = list(format)
   day = string.atoi(inputList[formatList.index('d')])
@@ -2247,5 +2245,5 @@
   jdn = ymdtojdn(year, month, day)
   if jdntoymd(jdn) != (year, month, day):
-    raise ValueError, 'invalid value: ' + text
+    raise ValueError('invalid value: ' + text)
   return jdn
 
@@ -2328,5 +2326,5 @@
     if separator != '.':
 	if string.find(text, '.') >= 0:
-	    raise ValueError, 'invalid value: ' + text
+	    raise ValueError('invalid value: ' + text)
 	index = string.find(text, separator)
 	if index >= 0:
@@ -2546,12 +2544,12 @@
     def _state(self):
 	if self['state'] not in ('both', 'balloon', 'status', 'none'):
-	    raise ValueError, 'bad state option ' + repr(self['state']) + \
-		': should be one of \'both\', \'balloon\', ' + \
-		'\'status\' or \'none\''
+	    raise ValueError('bad state option ' + repr(self['state'])
+                             + ": should be one of 'both', 'balloon', "
+                             + "'status' or 'none'")
 
     def _relmouse(self):
 	if self['relmouse'] not in ('both', 'x', 'y', 'none'):
-	    raise ValueError, 'bad relmouse option ' + repr(self['relmouse'])+ \
-		': should be one of \'both\', \'x\', ' + '\'y\' or \'none\''
+	    raise ValueError("bad relmouse option %s: should be one of 'both', 'x', "
+                             "'y' or 'none'" % repr(self['relmouse']))
 
     def _enter(self, event, widget, statusHelp, balloonHelp, isItem):
@@ -2747,6 +2745,6 @@
 	    interior.grid_rowconfigure(columnOrRow, weight = 1)
 	else:
-	    raise ValueError, 'bad orient option ' + repr(orient) + \
-		': must be either \'horizontal\' or \'vertical\''
+	    raise ValueError("bad orient option %s: must be either 'horizontal' or "
+                             "'vertical'" % repr(orient))
 
 	# Initialise instance variables.
@@ -2782,5 +2780,5 @@
 		return index
 	    else:
-		raise ValueError, 'index "%s" is out of range' % index
+		raise ValueError('index "%s" is out of range' % index)
 	elif index is END:
 	    if forInsert:
@@ -2789,9 +2787,9 @@
 		return listLength - 1
 	    else:
-		raise ValueError, 'ButtonBox has no buttons'
+		raise ValueError('ButtonBox has no buttons')
 	elif index is DEFAULT:
 	    if self._defaultButton is not None:
 		return self._defaultButton
-	    raise ValueError, 'ButtonBox has no default'
+	    raise ValueError('ButtonBox has no default')
 	else:
             names = map(lambda t: t[0], self._buttonList)
@@ -2799,10 +2797,9 @@
                 return names.index(index)
 	    validValues = 'a name, a number, END or DEFAULT'
-	    raise ValueError, \
-		'bad index "%s": must be %s' % (index, validValues)
+	    raise ValueError('bad index "%s": must be %s' % (index, validValues))
 
     def insert(self, componentName, beforeComponent = 0, **kw):
 	if componentName in self.components():
-	    raise ValueError, 'button "%s" already exists' % componentName
+	    raise ValueError('button "%s" already exists' % componentName)
 	if not kw.has_key('text'):
 	    kw['text'] = componentName
@@ -3112,5 +3109,5 @@
 	    msg = 'bad %s value "%s":  must be a function or one of ' \
 		'the standard validators %s or extra validators %s'
-	    raise ValueError, msg % (option, validator, standard, extra)
+	    raise ValueError(msg % (option, validator, standard, extra))
 
     def _executeCommand(self, event = None):
@@ -3638,5 +3635,5 @@
 
         if (menuName) in self.components():
-            raise ValueError, 'menu "%s" already exists' % menuName
+            raise ValueError('menu "%s" already exists' % menuName)
 
         menukw = {}
@@ -3697,5 +3694,5 @@
             command = menu.add_cascade
         else:
-            raise ValueError, 'unknown menuitem type "%s"' % itemType
+            raise ValueError('unknown menuitem type "%s"' % itemType)
 
         self._menuInfo[menuName][1].append(statusHelp)
@@ -3875,5 +3872,5 @@
 
         if (menuName + '-menu') in self.components():
-            raise ValueError, 'menu "%s" already exists' % menuName
+            raise ValueError('menu "%s" already exists' % menuName)
 
         menukw = {}
@@ -3940,5 +3937,5 @@
             command = menu.add_cascade
         else:
-            raise ValueError, 'unknown menuitem type "%s"' % itemType
+            raise ValueError('unknown menuitem type "%s"' % itemType)
 
         self._menuInfo[menuName][1].append(statusHelp)
@@ -4206,7 +4203,6 @@
 		    Tkinter.Label, (interior,))
 	    if iconpos not in 'nsew':
-		raise ValueError, \
-		    'bad iconpos option "%s":  should be n, s, e, or w' \
-			% iconpos
+		raise ValueError('bad iconpos option "%s":  should be n, s, e, or w'
+                                 % iconpos)
 
 	    if iconpos in 'nw':
@@ -4273,6 +4269,6 @@
         tabpos = self['tabpos']
 	if tabpos is not None and tabpos != 'n':
-            raise ValueError, \
-                'bad tabpos option %s:  should be n or None' % repr(tabpos)
+            raise ValueError('bad tabpos option %s:  should be n or None'
+                             % repr(tabpos))
         self._withTabs = (tabpos is not None)
         self._pageMargin = self['pagemargin']
@@ -4366,5 +4362,5 @@
 	if self._pageAttrs.has_key(pageName):
 	    msg = 'Page "%s" already exists.' % pageName
-	    raise ValueError, msg
+	    raise ValueError(msg)
 
         # Do this early to catch bad <before> spec before creating any items.
@@ -4388,5 +4384,5 @@
                 del kw[key]
             else:
-		raise KeyError, 'Unknown option "' + key + '"'
+		raise KeyError('Unknown option "' + key + '"')
 
         # Create the frame to contain the page.
@@ -4513,5 +4509,5 @@
 		return index
 	    else:
-		raise ValueError, 'index "%s" is out of range' % index
+		raise ValueError('index "%s" is out of range' % index)
 	elif index is END:
 	    if forInsert:
@@ -4520,8 +4516,8 @@
 		return listLength - 1
 	    else:
-		raise ValueError, 'NoteBook has no pages'
+		raise ValueError('NoteBook has no pages')
 	elif index is SELECT:
 	    if listLength == 0:
-		raise ValueError, 'NoteBook has no pages'
+		raise ValueError('NoteBook has no pages')
             return self._pageNames.index(self.getcurselection())
 	else:
@@ -4529,6 +4525,5 @@
                 return self._pageNames.index(index)
 	    validValues = 'a name, a number, END or SELECT'
-	    raise ValueError, \
-                'bad index "%s": must be %s' % (index, validValues)
+	    raise ValueError('bad index "%s": must be %s' % (index, validValues))
 
     def selectpage(self, page):
@@ -4977,10 +4972,10 @@
 		return index
 	    else:
-		raise ValueError, 'index "%s" is out of range' % index
+		raise ValueError('index "%s" is out of range' % index)
 	elif index is END:
 	    if listLength > 0:
 		return listLength - 1
 	    else:
-		raise ValueError, 'OptionMenu has no items'
+		raise ValueError('OptionMenu has no items')
 	else:
 	    if index is SELECT:
@@ -4988,10 +4983,9 @@
 		    index = self.getcurselection()
 		else:
-		    raise ValueError, 'OptionMenu has no items'
+		    raise ValueError('OptionMenu has no items')
             if index in self._itemList:
                 return self._itemList.index(index)
-	    raise ValueError, \
-		    'bad index "%s": must be a ' \
-                    'name, a number, END or SELECT' % (index,)
+	    raise ValueError('bad index "%s": must be a name, a number, END or SELECT'
+                             % (index,))
 
     def invoke(self, index = SELECT):
@@ -5043,6 +5037,6 @@
 
 	if self['orient'] not in ('horizontal', 'vertical'):
-	    raise ValueError, 'bad orient option ' + repr(self['orient']) + \
-		': must be either \'horizontal\' or \'vertical\''
+	    raise ValueError("bad orient option %s: must be either 'horizontal' or "
+                             "'vertical'" % repr(self['orient']))
 
         self._separatorThickness = self['separatorthickness']
@@ -5237,5 +5231,5 @@
 		self._max[name], self._relmax[name] = value, relvalue
 	    else:
-		raise ValueError, 'keyword must be "size", "min", or "max"'
+		raise ValueError('keyword must be "size", "min", or "max"')
 
     def _absSize(self, relvalue):
@@ -5743,6 +5737,6 @@
 	    self._singleSelect = 0
 	else: 
-	    raise ValueError, 'bad selectmode option "' + \
-		    self['selectmode'] + '": should be single or multiple'
+	    raise ValueError('bad selectmode option "' + self['selectmode']
+                             + '": should be single or multiple')
 
 	if self['buttontype'] == 'button':
@@ -5756,7 +5750,6 @@
 	    self.buttonClass = Tkinter.Checkbutton
 	else:
-	    raise ValueError, 'bad buttontype option "' + \
-		    self['buttontype'] + \
-		    '": should be button, radiobutton or checkbutton'
+	    raise ValueError('bad buttontype option "' + self['buttontype']
+                             + '": should be button, radiobutton or checkbutton')
 
 	if self._singleSelect:
@@ -5766,6 +5759,6 @@
 
 	if self['orient'] not in ('horizontal', 'vertical'):
-	    raise ValueError, 'bad orient option ' + repr(self['orient']) + \
-		': must be either \'horizontal\' or \'vertical\''
+	    raise ValueError('bad orient option ' + repr(self['orient'])
+                             + ': must be either \'horizontal\' or \'vertical\'')
 
 	# Check keywords and initialise options.
@@ -5817,10 +5810,10 @@
 		return index
 	    else:
-		raise ValueError, 'index "%s" is out of range' % index
+		raise ValueError('index "%s" is out of range' % index)
 	elif index is END:
 	    if listLength > 0:
 		return listLength - 1
 	    else:
-		raise ValueError, 'RadioSelect has no buttons'
+		raise ValueError('RadioSelect has no buttons')
 	else:
 	    for count in range(listLength):
@@ -5829,6 +5822,5 @@
 		    return count
 	    validValues = 'a name, a number or END'
-	    raise ValueError, \
-		    'bad index "%s": must be %s' % (index, validValues)
+	    raise ValueError('bad index "%s": must be %s' % (index, validValues))
 
     def button(self, buttonIndex):
@@ -5838,5 +5830,5 @@
     def add(self, componentName, **kw):
 	if componentName in self._buttonList:
-	    raise ValueError, 'button "%s" already exists' % componentName
+	    raise ValueError('button "%s" already exists' % componentName)
 
 	kw['command'] = \
@@ -6061,5 +6053,5 @@
 	else:
 	    message = 'bad hscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -6081,5 +6073,5 @@
 	else:
 	    message = 'bad vscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -6483,5 +6475,5 @@
 	else:
 	    message = 'bad hscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
     def _vscrollMode(self):
@@ -6501,5 +6493,5 @@
 	else:
 	    message = 'bad vscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
     def _horizflex(self):
@@ -6511,5 +6503,5 @@
 	    message = 'bad horizflex option "%s": should be one of %s' % \
 		    (flex, str(self._flexoptions))
-	    raise ValueError, message
+	    raise ValueError(message)
 
 	self.reposition()
@@ -6523,5 +6515,5 @@
 	    message = 'bad vertflex option "%s": should be one of %s' % \
 		    (flex, str(self._flexoptions))
-	    raise ValueError, message
+	    raise ValueError(message)
 
 	self.reposition()
@@ -6818,5 +6810,5 @@
                 self._listbox.selection_set(listitems.index(textOrList))
             else:
-                raise ValueError, 'no such item "%s"' % textOrList
+                raise ValueError('no such item "%s"' % textOrList)
         else:
             for item in textOrList:
@@ -6824,5 +6816,5 @@
                     self._listbox.selection_set(listitems.index(item))
                 else:
-                    raise ValueError, 'no such item "%s"' % item
+                    raise ValueError('no such item "%s"' % item)
 
     def setlist(self, items):
@@ -6861,5 +6853,5 @@
 	else:
 	    message = 'bad hscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -6881,5 +6873,5 @@
 	else:
 	    message = 'bad vscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -7282,5 +7274,5 @@
 	else:
 	    message = 'bad hscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -7302,5 +7294,5 @@
 	else:
 	    message = 'bad vscrollmode option "%s": should be static, dynamic, or none' % mode
-	    raise ValueError, message
+	    raise ValueError(message)
 
         self._configureScrollCommands()
@@ -8037,5 +8029,5 @@
         list = string.split(text, ':')
 	if len(list) != 3:
-	    raise ValueError, 'invalid value: ' + text
+	    raise ValueError('invalid value: ' + text)
 
 	self._hour = string.atoi(list[0])
@@ -8363,5 +8355,5 @@
 		index = list(items).index(text)
 	    else:
-	    	raise IndexError, 'index "%s" not found' % text
+	    	raise IndexError('index "%s" not found' % text)
 	elif setentry:
 	    text = self._list.get(0, 'end')[index]
@@ -8737,6 +8729,6 @@
 		frame.grid_columnconfigure(0, pad = padx)
 	else:
-	    raise ValueError, 'bad orient option ' + repr(orient) + \
-		': must be either \'horizontal\' or \'vertical\''
+	    raise ValueError('bad orient option ' + repr(orient)
+                             + ': must be either \'horizontal\' or \'vertical\'')
 
 	self.createlabel(interior)
@@ -8848,6 +8840,6 @@
 	    validValues = _counterCommands.keys()
 	    validValues.sort()
-	    raise ValueError, ('bad datatype value "%s":  must be a' +
-		    ' function or one of %s') % (datatype, validValues)
+	    raise ValueError('bad datatype value "%s":  must be a function '
+                             'or one of %s' % (datatype, validValues))
 
     def _forceCount(self, factor):
@@ -9105,5 +9097,5 @@
 def logicalfont(name='Helvetica', sizeIncr = 0, **kw):
   if not _fontInfo.has_key(name):
-    raise ValueError, 'font %s does not exist' % name
+    raise ValueError('font %s does not exist' % name)
 
   rtn = []
Index: /trunk/anuga_core/source/anuga/pmesh/mesh_interface.py
===================================================================
--- /trunk/anuga_core/source/anuga/pmesh/mesh_interface.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/pmesh/mesh_interface.py	(revision 8124)
@@ -110,5 +110,5 @@
             msg = 'Caching was requested, but caching module'+\
                   'could not be imported'
-            raise msg
+            raise Exception(msg)
 
 
@@ -152,5 +152,5 @@
                       %(str(key))
                 msg += 'Number of points in bounding polygon = %d' % max_points
-                raise SegmentError, msg
+                raise SegmentError(msg)
 
         for i in range(max_points):
@@ -162,5 +162,5 @@
                 msg = 'Segment %d was not assigned a boundary_tag.' % i
                 msg +=  'Default tag "exterior" will be assigned to missing segment'
-                #raise Exception, msg
+                #raise Exception(msg)
                 # Fixme: Use proper Python warning
                 if verbose: log.critical('WARNING: %s' % msg)
@@ -197,5 +197,5 @@
 
                 if fail_if_polygons_outside is True:
-                    raise PolygonError, msg                    
+                    raise PolygonError(msg)
                 else:
                     msg += ' I will ignore it.'
@@ -239,5 +239,5 @@
                 msg = 'Interior polygon %s is outside bounding polygon: %s'\
                       %(str(interior_polygon), str(bounding_polygon))
-                raise PolygonError, msg
+                raise PolygonError(msg)
 
     # Resolve geo referencing        
Index: /trunk/anuga_core/source/anuga/shallow_water/boundaries.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/boundaries.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/boundaries.py	(revision 8124)
@@ -48,7 +48,4 @@
     """
 
-    ##
-    # @brief Instantiate a Reflective_boundary.
-    # @param domain 
     def __init__(self, domain=None):
         Boundary.__init__(self)
@@ -66,16 +63,12 @@
         self.conserved_quantities = num.zeros(3, num.float)
 
-    ##
-    # @brief Return a representation of this instance.
     def __repr__(self):
         return 'Reflective_boundary'
 
-    ##
-    # @brief Calculate reflections (reverse outward momentum).
-    # @param vol_id 
-    # @param edge_id 
     def evaluate(self, vol_id, edge_id):
-        """Reflective boundaries reverses the outward momentum
-        of the volume they serve.
+        """Calculate reflections (reverse outward momentum).
+
+        vol_id   
+        edge_id  
         """
 
Index: /trunk/anuga_core/source/anuga/shallow_water/forcing.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/forcing.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/forcing.py	(revision 8124)
@@ -44,5 +44,5 @@
             msg = 'Function %s could not be executed:\n%s' %(f, e)
             # FIXME: Reconsider this semantics
-            raise Exception, msg
+            raise Exception(msg)
 
         try:
@@ -52,5 +52,5 @@
                    'be converted into a numeric array of floats.\nSpecified '
                    'function should return either list or array.' % f)
-            raise Exception, msg
+            raise Exception(msg)
 
         # Is this really what we want?
@@ -63,5 +63,5 @@
         except:
             msg = '%s must return vector' % func_msg
-            raise Exception, msg
+            raise Exception(msg)
         msg = '%s must return vector of length %d' % (func_msg, N)
         assert result_len == N, msg
@@ -72,5 +72,5 @@
             msg = ('Force field %s must be a scalar value coercible to float.'
                    % str(f))
-            raise Exception, msg
+            raise Exception(msg)
 
     return f
@@ -147,5 +147,5 @@
                phi = kwargs['phi']
            else:
-               raise Exception, 'Assumes two keyword arguments: s=..., phi=....'
+               raise Exception('Assumes two keyword arguments: s=..., phi=....')
 
         if ( self.use_coordinates ):
@@ -183,5 +183,5 @@
             except:
                 msg = 'Speed must be either callable or a scalar: %s' %self.s
-                raise msg
+                raise Exception(msg)
 
         if callable(self.phi):
@@ -200,5 +200,5 @@
             except:
                 msg = 'Angle must be either callable or a scalar: %s' %self.phi
-                raise msg
+                raise Exception(msg)
 
         assign_windfield_values(xmom_update, ymom_update,
@@ -388,5 +388,5 @@
                 msg = 'No triangles have been identified in '
                 msg += 'specified region: %s' % inlet_region
-                raise Exception, msg
+                raise Exception(msg)
 
             # Compute exchange area as the sum of areas of triangles identified
@@ -421,5 +421,5 @@
                 default_rate(0.0)
             except:
-                raise Exception, msg
+                raise Exception(msg)
 
         self.default_rate = default_rate
@@ -437,5 +437,5 @@
             rate = self.update_rate(t)
         except Modeltime_too_early, e:
-            raise Modeltime_too_early, e
+            raise Modeltime_too_early(e)
         except Modeltime_too_late, e:
             if self.default_rate is None:
@@ -443,5 +443,5 @@
                 msg += 'You can specify keyword argument default_rate in the '
                 msg += 'forcing function to tell it what to do in the absence of time data.'
-                raise Modeltime_too_late, msg    
+                raise Modeltime_too_late(msg)
             else:
                 # Pass control to default rate function
@@ -464,5 +464,5 @@
             msg = ('Attribute rate must be specified in General_forcing '
                    'or its descendants before attempting to call it')
-            raise Exception, msg
+            raise Exception(msg)
 
         # Now rate is a number
@@ -947,5 +947,6 @@
                self.use_coordinates = kwargs['use_coordinates']
            else:
-               raise Exception, 'Assumes one keyword argument: p=... or two keyword arguments p=...,use_coordinates=...'
+               raise Exception('Assumes one keyword argument: p=... or two '
+                               'keyword arguments p=...,use_coordinates=...')
 
         if ( self.use_coordinates ):
@@ -980,5 +981,5 @@
             except:
                 msg = 'Pressure must be either callable or a scalar: %s' %self.s
-                raise msg
+                raise Exception(msg)
 
         stage = domain.quantities['stage']
@@ -1093,5 +1094,6 @@
                     self.use_coordinates=False
                 else:
-                    raise Exception, 'Assumes zero or two keyword arguments filename=...,domain=...'
+                    raise Exception('Assumes zero or two keyword arguments '
+                                    'filename=...,domain=...')
 
                 if ( self.use_coordinates ):
@@ -1110,5 +1112,7 @@
                self.use_coordinates = False
            else:
-               raise Exception, 'Assumes one keyword argument: p=f(t,x,y,) or three keyword arguments p=f(t,i),filename=...,domain=...'
+               raise Exception('Assumes one keyword argument: p=f(t,x,y,) or '
+                               'three keyword arguments '
+                               'p=f(t,i),filename=...,domain=...')
 
         if ( self.use_coordinates ):
@@ -1126,9 +1130,9 @@
             msg = 'pressure_file.starttime > domain.starttime'
             if (self.file_time[0]>domain.starttime):
-                raise Exception, msg
+                raise Exception(msg)
 
             msg = 'pressure_file[-1] < domain.starttime'
             if (self.file_time[-1]<domain.starttime):
-                raise Exception, msg
+                raise Exception(msg)
 
             msg = 'No pressure values exist for times greater than domain.starttime'
@@ -1185,5 +1189,5 @@
             except:
                 msg = 'Pressure must be either callable function or a scalar: %s' %self.s
-                raise msg
+                raise Exception(msg)
 
         stage = domain.quantities['stage']
@@ -1288,5 +1292,5 @@
                phi = kwargs['phi']
            else:
-               raise Exception, 'Assumes two keyword arguments: s=..., phi=....'
+               raise Exception('Assumes two keyword arguments: s=...,phi=....')
 
         if ( self.use_coordinates ):
@@ -1307,13 +1311,13 @@
             msg = 'wind_file.starttime > domain.starttime'
             if (self.file_time[0]>domain.starttime):
-                raise Exception, msg
+                raise Exception(msg)
 
             msg = 'wind_file[-1] < domain.starttime'
             if (self.file_time[-1]<domain.starttime):
-                raise Exception, msg
+                raise Exception(msg)
 
             msg = 'No wind values exist for times greater than domain.starttime'
             if (self.file_time[-2]<domain.starttime and self.file_time[-1]>domain.starttime):
-                raise Exception, msg
+                raise Exception(msg)
 
             # FIXME(JJ): How do we check that evolve 
@@ -1373,5 +1377,5 @@
             except:
                 msg = 'Speed must be either callable or a scalar: %s' %self.s
-                raise msg
+                raise Exception(msg)
 
         if callable(self.phi):
@@ -1395,5 +1399,5 @@
             except:
                 msg = 'Angle must be either callable or a scalar: %s' %self.phi
-                raise msg
+                raise Exception(msg)
 
         assign_windfield_values(xmom_update, ymom_update,
Index: /trunk/anuga_core/source/anuga/shallow_water/most2nc.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/most2nc.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/shallow_water/most2nc.py	(revision 8124)
@@ -13,11 +13,13 @@
 
 
-##
-# @brief Convert a MOST file to NetCDF format.
-# @param input_file The input file to convert.
-# @param output_file The name of the oputput NetCDF file to create,
-# @param inverted_bathymetry ??
-# @param verbose True if the function is to be verbose.
 def most2nc(input_file, output_file, inverted_bathymetry=False, verbose=True):
+    """Convert a MOST file to NetCDF format.
+
+    input_file           the input file to convert
+    output_file          the name of the oputput NetCDF file to create
+    inverted_bathymetry  ??
+    verbose              True if the function is to be verbose
+    """
+
     # variable names
     long_name = 'LON'
